package common.model;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;

/**
 * @author liyin
 * @description
 * @date
 */
@Entity
public class TkioFlowHistory {
    @Id
    private Long id;
    private String ds;
    private String email;
    private String contractCode;
    private Long flow;
    private Long costFlow;
    private String yMonth;
    private String yMonthNext;
    private String nextCode;
    private Integer firstRecode;




    public TkioFlowHistory() {
    }

    public TkioFlowHistory(TkioFlow flow) {
        this.ds = flow.getDs();
        this.email = flow.getEmail();
        this.contractCode = flow.getContractCode();
        this.flow = flow.getFlow();
        this.costFlow = flow.getCostFlow();
    }


    public String getDs() {
        return ds;
    }

    public void setDs(String ds) {
        this.ds = ds;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getContractCode() {
        return contractCode;
    }

    public void setContractCode(String contractCode) {
        this.contractCode = contractCode;
    }

    public Long getFlow() {
        return flow;
    }

    public void setFlow(Long flow) {
        this.flow = flow;
    }

    public Long getCostFlow() {
        return costFlow;
    }

    public void setCostFlow(Long costFlow) {
        this.costFlow = costFlow;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getyMonth() {
        return yMonth;
    }

    public void setyMonth(String yMonth) {
        this.yMonth = yMonth;
    }

    public String getyMonthNext() {
        return yMonthNext;
    }

    public void setyMonthNext(String yMonthNext) {
        this.yMonthNext = yMonthNext;
    }

    public String getNextCode() {
        return nextCode;
    }

    public void setNextCode(String nextCode) {
        this.nextCode = nextCode;
    }

    public Integer getFirstRecode() {
        return firstRecode;
    }

    public void setFirstRecode(Integer firstRecode) {
        this.firstRecode = firstRecode;
    }
}
